----------------------------------------------
-- Te3Box.lua
-- by Lygin Gennady a.k.a. Croc 17.09.2015
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
-- Edit by Lygin Gennady a.k.a. Croc 24.05.2018
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver()
local newwidth, newheight
local gn=42
local gg=gn-1
local  Te3FrameWidth, Te3FrameHeight = 170, 14*gn+4
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
Te3Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

Te3Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Te3"))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(Te3Box,0,0,0,0) 

Te3Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(Te3Box, 20, 0, 0, 0)

Te3Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    Te3Button.Visible = GuidesVisibility -- display or undisplay Button
    Te3Check.Visible = GuidesVisibility  -- display or undisplay Check
    if Te3Check.Text ==  "o" then
		Te3Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end
 
 Te3Button.Action = (function()
        return
            function()
              display_Te3= not display_Te3
                if display_Te3 then                    				
                    Te3Frame.Visible = true                    
                    Te3Check.Text = "o"
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
					else
                    Te3Frame.Visible = false                  
                    Te3Check.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point") 
                end
            end
        end) ()

-----------------------------------------------------------------------------
Te3Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-Te3FrameWidth)/2, height-Te3FrameHeight-2, (width-Te3FrameWidth)/2, 2)

 Te3Frame.Customdraw = function(this) 

            if Te3_firstTickDone then
            if not(Te3CloseButtonDone) then
                Te3CloseButtonDone = true
                makeCloseButton(Te3CloseButton, Te3Frame, Te3Button)
            end
            else
                Te3_firstTickDone = true            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height 
               if height>=768  then             
                    Te3Frame:attach(screenBox, width-Te3FrameWidth-36, height-Te3FrameHeight-128-27, 36, 128+27) 
               else
                    Te3Frame:attach(screenBox, width-Te3FrameWidth-200, height-Te3FrameHeight-3, 200, 3) 
               end                   
            end
          
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0.2,0.8,1,1})        
	    textlayout:setpos(this.lb+10, this.tb - 14)         
            textlayout:println(_("    STUDY OF EARTH-2"))

end

--===============
-- Подключение команд 
--===============
Te3101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Object / Country / Device / Date:"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-1), 2, 5+14*1)
--================
Te3102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color0)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Earth"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-2), 2, 5+14*2)
--================
Te3103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-3), 132, 5+14*3)

Te3203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("LAGEOS 1 +"))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-3), 45, 5+14*3)
	
Te3203Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/LAGEOS 1")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:LAGEOS%201/1976-06-13T14:50:39.02457?x=SDoDX////////////////w&y=ubbd1v///////////////w&z=a0dDy////////////////w&ow=0.582095&ox=-0.065138&oy=0.804373&oz=-0.0995337&track=Sol:Earth:LAGEOS%201&select=Sol:Earth:LAGEOS%201&fov=37.7767&ts=10&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.75)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
             end
        end
    end) ()	
	
Te3303Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("04-05-76"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-3), 2, 5+14*3)
--================
Te3104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-4), 132, 5+14*4)

Te3204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Landsat 7"))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-4), 45, 5+14*4)
	
Te3204Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Landsat 7")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:Landsat%207/1999-04-15T18:39:44.03221?x=P6kpwQI&y=GcZHlgE&z=BYbr/A&ow=0.794331&ox=0.207788&oy=-0.55537&oz=-0.132006&track=Sol:Earth:Landsat%207&select=Sol:Earth:Landsat%207&fov=37.7767&ts=10&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()	
	
Te3304Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("15-04-99"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-4), 2, 5+14*4)
--================
Te3105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-5), 132, 5+14*5)

Te3205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Landsat 8"))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-5), 45, 5+14*5)
	
Te3205Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Landsat 8")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:Landsat%208/2013-02-11T18:05:59.23688?x=N2LTGQM&y=KAUoPP7//////////////w&z=F4xsMf3//////////////w&ow=0.335603&ox=0.158651&oy=-0.885426&oz=0.279682&track=Sol:Earth:Landsat%208&select=Sol:Earth:Landsat%208&fov=37.7767&ts=10&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()	
	
Te3305Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("02-11-13"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-5), 2, 5+14*5)	
--================
Te3106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-6), 132, 5+14*6)

Te3206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-6), 45, 5+14*6)
	
Te3306Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-6), 2, 5+14*6)
--================
Te3107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-7), 132, 5+14*7)

Te3207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("M"))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-7), 45, 5+14*7)
	
Te3307Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-7), 2, 5+14*7)
--================
Te3108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-8), 132, 5+14*8)

Te3208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-8), 45, 5+14*8)
	
Te3308Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-8), 2, 5+14*8)
--================
Te3109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-9), 132, 5+14*9)

Te3209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("NOAA 19 +"))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-9), 45, 5+14*9)

Te3209Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("NOAA 19")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:NOAA%2019/2009-02-06T11:03:37.32621?x=tScnZwE&y=ADjhYA&z=Etr0svv//////////////w&ow=0.161669&ox=0.180103&oy=-0.970185&oz=-0.0129492&track=Sol:Earth:NOAA%2019&select=Sol:Earth:NOAA%2019&fov=37.7767&ts=20&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()

Te3309Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("30-12-94"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-9), 2, 5+14*9)	
--================
Te3110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-10), 132, 5+14*10)

Te3210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-10), 45, 5+14*10)
	
Te3310Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-10), 2, 5+14*10)
--================
Te3111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-11), 132, 5+14*11)

Te3211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-11), 45, 5+14*11)
	
Te3311Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-11), 2, 5+14*11)
--================
Te312Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-12), 132, 5+14*12)

Te3212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("OCO-2"))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-12), 45, 5+14*12)

Te3212Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("OCO-2")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:OCO-2/2014-07-02T10:09:12.65585?x=7udwHg&y=o0mFRwE&z=hx/kWf7//////////////w&ow=0.105343&ox=0.222455&oy=-0.919188&oz=-0.307425&track=Sol:Earth:OCO-2&select=Sol:Earth:OCO-2&fov=37.7767&ts=50&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()

Te3312Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("02-07-14"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-12), 2, 5+14*12)
--================
Te3113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-13), 132, 5+14*13)

Te3213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("OrbitView 2"))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-13), 45, 5+14*13)

Te3213Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("OrbitView 2")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:OrbitView%202/1997-08-01T20:43:47.80342?x=jp6J7f///////////////w&y=JdMAwfz//////////////w&z=sueX+f7//////////////w&ow=0.515337&ox=-0.694145&oy=0.410716&oz=-0.28966&track=Sol:Earth:OrbitView%202&select=Sol:Earth:OrbitView%202&fov=37.7767&ts=50&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()

Te3313Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("01-08-97"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-13), 2, 5+14*13)
--================
Te3114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Iran"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-14), 132, 5+14*14)

Te3214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Omid"))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-14), 45, 5+14*14)
	
Te3214Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Omid")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:Omid/2009-02-02T00:34:43.42748?x=hDg4Wv///////////////w&y=EyUWVg&z=Cz5wUA&ow=0.0763584&ox=0.509027&oy=-0.2077&oz=-0.831818&track=Sol:Earth:Omid&select=Sol:Earth:Omid&fov=37.7767&ts=20&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()	
	
Te3314Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("02-02-09"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-14), 2, 5+14*14)
--================
Te3115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-15), 132, 5+14*15)

Te3215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-15), 45, 5+14*15)
	
Te3315Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-15), 2, 5+14*15)
--================
Te3116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-16), 132, 5+14*16)

Te3216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-16), 45, 5+14*16)
	
Te3316Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-16), 2, 5+14*16)
--================
Te3117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-17), 132, 5+14*17)

Te3217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("POLAR"))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-17), 45, 5+14*17)
	
Te3217Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("POLAR")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:POLAR/1996-11-22T05:02:58.00287?x=BugNiv///////////////w&y=CEBF5/3//////////////w&z=+N0B/QE&ow=0.231523&ox=-0.0156492&oy=0.399984&oz=-0.886659&track=Sol:Earth:POLAR&select=Sol:Earth:POLAR&fov=37.7767&ts=250&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()	

Te3317Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("24-02-96"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-17), 2, 5+14*17)	
--================
Te3118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-18), 132, 5+14*18)

Te3218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Pleiades-HR 1A +"))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-18), 45, 5+14*18)
	
Te3218Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Pleiades-HR 1A")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:Pleiades-HR%201A/2011-12-17T03:56:48.44838?x=+1X89g&y=UNeJkQE&z=C1+42fv//////////////w&ow=0.201205&ox=0.93225&oy=-0.296528&oz=0.0499828&track=Sol:Earth:Pleiades-HR%201A&select=Sol:Earth:Pleiades-HR%201A&fov=37.7767&ts=50&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()	
	
Te3318Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("17-12-11"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-18), 2, 5+14*18)
--================
Te3119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-19), 132, 5+14*19)

Te3219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-19), 45, 5+14*19)
	
Te3319Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-19), 2, 5+14*19)
--================
Te3120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-20), 132, 5+14*20)

Te3220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-20), 45, 5+14*20)
	
Te3320Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-20), 2, 5+14*20)
--================
Te3121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-21), 132, 5+14*21)

Te3221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("QuikSCAT"))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-21), 45, 5+14*21)
	
Te3221Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("QuikSCAT")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:QuikSCAT/1999-06-19T05:11:20.63519?x=RVaUjlwH&y=anc3FBX7/////////////w&z=BfDynYH//////////////w&ow=0.058688&ox=-0.636389&oy=0.350497&oz=-0.684629&track=Sol:Earth:QuikSCAT&select=Sol:Earth:QuikSCAT&fov=37.7767&ts=50&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()

Te3321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("19-06-99"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-21), 2, 5+14*21)
--================
Te3122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-22), 132, 5+14*22)

Te3222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-22), 45, 5+14*22)
	
Te3322Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-22), 2, 5+14*22)
--================
Te3123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-23), 132, 5+14*23)

Te3223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("R"))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-23), 45, 5+14*23)
	
Te3323Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-23), 2, 5+14*23)
--================
Te3124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-24), 132, 5+14*24)

Te3224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-24), 45, 5+14*24)
	
	Te3224Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2007, 02, 17, 23, 01, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj)
               celestia:settimescale(1000)  
            end
        end
    end) ()

Te3324Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-24), 2, 5+14*24)
--================
Te3125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Arg"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-25), 132, 5+14*25)

Te3225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("SAC-C"))
    :movable(false)
    :active(true) 
    :attach(Te3Frame,40, 2+14*(gg-25), 45, 5+14*25)
	
Te3225Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("SAC-C")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:SAC-C/2000-11-21T00:12:23.13498?x=Oe+Vyv3//////////////w&y=v+2lEQ&z=+EPdaP3//////////////w&ow=0.0214618&ox=-0.934213&oy=0.0874157&oz=0.345171&track=Sol:Earth:SAC-C&select=Sol:Earth:SAC-C&fov=37.7767&ts=25&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()	

Te3325Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("21-11-00"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-25), 2, 5+14*25)
--================
Te3126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-26), 132, 5+14*26)

Te3226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("SORCE"))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-26), 45, 5+14*26)
	
Te3226Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("SORCE")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:SORCE/2003-01-25T00:11:41.36679?x=nEe/ZPz//////////////w&y=XFBwqv7//////////////w&z=H15L3////////////////w&ow=0.167668&ox=-0.714345&oy=-0.0794623&oz=0.674748&track=Sol:Earth:SORCE&select=Sol:Earth:SORCE&fov=37.7767&ts=25&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()	

Te3326Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("25-01-03"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-26), 2, 5+14*26)
--================
Te3127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-27), 132, 5+14*27)

Te3227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("SPOT 1 +"))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-27), 45, 5+14*27)
	
Te3227Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("SPOT 1")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:SPOT%201/1986-02-22T01:58:52.37483?x=Z2skiPz//////////////w&y=b5k6mw&z=+EveTPz//////////////w&ow=0.087335&ox=0.926624&oy=0.0597683&oz=-0.36079&track=Sol:Earth:SPOT%201&select=Sol:Earth:SPOT%201&fov=37.7767&ts=25&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()	
	
Te3327Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("22-02-86"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-27), 2, 5+14*27)
--================
Te3128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-28), 132, 5+14*28)

Te3228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("SPOT 4"))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-28), 45, 5+14*28)
	
Te3228Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("SPOT 4")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:SPOT%204/1998-03-24T00:10:59.03396?x=CWd5hv7//////////////w&y=9AD5DgU&z=HWPZwAM&ow=0.110909&ox=0.182109&oy=-0.42041&oz=-0.881925&track=Sol:Earth:SPOT%204&select=Sol:Earth:SPOT%204&fov=37.7767&ts=25&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()	
	
Te3328Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("24-03-98"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-28), 2, 5+14*28)
--================
Te3129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-29), 132, 5+14*29)

Te3229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("SPOT 5"))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-29), 45, 5+14*29)
	
Te3229Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("SPOT 5")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:SPOT%205/2002-05-04T00:13:39.31614?x=+TPebAI&y=x94jnfv//////////////w&z=uW98F/z//////////////w&ow=0.366631&ox=-0.895955&oy=0.0687474&oz=-0.241083&track=Sol:Earth:SPOT%205&select=Sol:Earth:SPOT%205&fov=37.7767&ts=25&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()	
	
Te3329Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("04-05-02"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-29), 2, 5+14*29)
--================
Te3130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-30), 132, 5+14*30)

Te3230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Suomi NPP"))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-30), 45, 5+14*30)
	
Te3230Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Suomi NPP")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:Suomi%20NPP/2011-10-28T00:12:27.08430?x=j0Z9M/3//////////////w&y=jQEbtvz//////////////w&z=imSqBAI&ow=0.626269&ox=-0.536711&oy=-0.0156226&oz=0.56523&track=Sol:Earth:Suomi%20NPP&select=Sol:Earth:Suomi%20NPP&fov=37.7767&ts=25&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()	

Te3330Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("28-10-11"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-30), 2, 5+14*30)	
--================
Te3131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-31), 132, 5+14*31)

Te3231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-31), 45, 5+14*31)
	
Te3331Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-31), 2, 5+14*31)
--================
Te3132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-32), 132, 5+14*32)

Te3232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-32), 45, 5+14*32)
	
Te3332Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-32), 2, 5+14*32)
--================
Te3133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-33), 132, 5+14*33)

Te3233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("TDRS 3 +"))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-33), 45, 5+14*33)
	
Te3233Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("TDRS 3")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:TDRS%203/1988-09-29T05:17:27.57993?x=nJ7U//7//////////////w&y=oLflGQI&z=dq24Gws&ow=0.0991133&ox=-0.0348265&oy=0.0970154&oz=0.989723&track=Sol:Earth:TDRS%203&select=Sol:Earth:TDRS%203&fov=37.7767&ts=500&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()		
	
Te3333Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("29-09-88"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-33), 2, 5+14*33)
--================
Te3134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-34), 132, 5+14*34)

Te3234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Terra"))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-34), 45, 5+14*34)
	
Te3234Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Terra")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:Terra/1999-12-18T19:10:20.38636?x=yXMw3AM&y=BElDeP///////////////w&z=qnmRq/3//////////////w&ow=0.117893&ox=-0.865056&oy=-0.0909832&oz=-0.479064&track=Sol:Earth:Terra&select=Sol:Earth:Terra&fov=37.7767&ts=10&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()	

Te3334Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("18-12-99"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-34), 2, 5+14*34)
--======================
Te3135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-35), 132, 5+14*35)

Te3235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-35), 45, 5+14*35)

Te3235Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)  
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2013, 12, 14, 13, 12, 00)
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj)  
               celestia:settimescale(1) 
            end
        end
    end) ()

Te3335Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-35), 2, 5+14*35)
--======================
Te3136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-36), 132, 5+14*36)

Te3236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("THEMIS A +"))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-36), 45, 5+14*36)

Te3236Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("THEMIS A")           
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:THEMIS%20A/2007-02-18T04:21:11.67247?x=WvmtoQI&y=QvEgwf///////////////w&z=gcQmPA&ow=0.138857&ox=-0.671946&oy=-0.0649028&oz=-0.724565&track=Sol:Earth:THEMIS%20A&select=Sol:Earth:THEMIS%20A&fov=37.7767&ts=1000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()

Te3336Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("17-02-07"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-36), 2, 5+14*36) 
--================
Te3137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA+Fr"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-37), 132, 5+14*37)

Te3237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Topex-Poseidon"))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-37), 45, 5+14*37)

Te3237Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Topex-Poseidon")           
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:TOPEX-Poseidon/1992-08-12T00:15:54.42765?x=JcAZ/vX//////////////w&y=wPtD9wE&z=pfGGkQ&ow=0.0343852&ox=-0.667238&oy=0.164217&oz=0.725702&track=Sol:Earth:TOPEX-Poseidon&select=Sol:Earth:TOPEX-Poseidon&fov=37.7767&ts=50&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()

Te3337Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("12-08-92"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-37), 2, 5+14*37)
--===============
Te3138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("US+Jap"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-38), 132, 5+14*38)

Te3238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("TRMM"))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-38), 45, 5+14*38)
	
Te3238Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("TRMM")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:TRMM/1999-03-15T00:25:29.94044?x=KKCa7/7//////////////w&y=t+kIEv///////////////w&z=ztsFAv7//////////////w&ow=0.220971&ox=-0.948309&oy=0.0924466&oz=0.208172&track=Sol:Earth:TRMM&select=Sol:Earth:TRMM&fov=37.7767&ts=25&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()	
	
Te3338Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("27-11-97"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-38), 2, 5+14*38)
--================
Te3139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-39), 132, 5+14*39)

Te3239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-39), 45, 5+14*39)

Te3239Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)  
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2013, 12, 14, 13, 12, 00)
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj)  
               celestia:settimescale(1) 
            end
        end
    end) ()

Te3339Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-39), 2, 5+14*39)
--================
Te3140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-40), 132, 5+14*40)

Te3240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Van Allen A + "))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-40), 45, 5+14*40)
	
Te3240Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Van Allen Probes A")           
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:Van%20Allen%20Probes%20A/2012-08-30T10:29:01.53168?x=nO181uj//////////////w&y=wGu36Pz//////////////w&z=BWduBvr//////////////w&ow=0.195772&ox=-0.7753&oy=0.1509&oz=0.581216&track=Sol:Earth:Van%20Allen%20Probes%20A&select=Sol:Earth:Van%20Allen%20Probes%20A&fov=37.7767&ts=100&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()	

Te3340Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("30-08-12"))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-40), 2, 5+14*40)
--================
Te3141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 2, 2+14*(gg-41), 132, 5+14*41)
-------------------------------
Te3241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Wind"))
    :movable(false)
    :active(true) 
    :attach(Te3Frame, 40, 2+14*(gg-41), 45, 5+14*41)
	
Te3241Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Wind")           
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()		
	
-------------------------------
Te3341Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te3Frame, 127, 2+14*(gg-41), 2, 5+14*41)
	